{
  "name": "azuneed-app",
  "version": "13.1.0",
  "license": "MIT",
  "scripts": {
    "prepare": "husky install",
    "postinstall": "ngcc",
    "start": "ng serve --open",
    "start:es": "ng serve --configuration=es --open",
    "extract": "ng extract-i18n --format=xlf --output-path=src/locale",
    "lint": "ng lint",
    "test": "ng test azuneedapp --code-coverage --no-watch",
    "test:app:watch": "ng test azuneedapp --code-coverage --watch=true",
    "test:library:watch": "ng test ngx-example-library --code-coverage --watch=true",
    "build:prod": "ng build --configuration production",
    "build:library": "ng build --configuration=production ngx-example-library",
    "ci": "npm run lint && npm run test && npm run e2e && npm run build:prod",
    "bundle-report": "ng build --configuration=production --stats-json && webpack-bundle-analyzer dist/browser/stats-es2015.json",
    "release:minor": "standard-version --release-as minor && git push --follow-tags origin master",
    "release:major": "standard-version --release-as major && git push --follow-tags origin master",
    "update": "ng update --force --all",
    "e2e": "ng e2e",
    "cypress:open": "cypress open",
    "cypress:run": "cypress run",
    "docs:generate": "compodoc -p tsconfig.doc.json",
    "docs:watch": "compodoc -p tsconfig.doc.json -s"
  },
  "private": true,
  "engines": {
    "node": ">=14"
  },
  "lint-staged": {
    "*.{js,css,md}": "prettier --write"
  },
  "dependencies": {
    "@agm/core": "^1.1.0",
    "@angular-devkit/build-angular": "13.3.3",
    "@angular-devkit/schematics": "13.3.3",
    "@angular-material-extensions/password-strength": "^10.1.1",
    "@angular/animations": "13.3.4",
    "@angular/cdk": "^13.1.0",
    "@angular/cli": "13.3.3",
    "@angular/common": "13.3.4",
    "@angular/compiler": "13.3.4",
    "@angular/compiler-cli": "13.3.4",
    "@angular/core": "13.3.4",
    "@angular/flex-layout": "^13.0.0-beta.38",
    "@angular/forms": "13.3.4",
    "@angular/http": "7.2.16",
    "@angular/language-service": "13.3.4",
    "@angular/localize": "13.3.4",
    "@angular/platform-browser": "13.3.4",
    "@angular/platform-browser-dynamic": "13.3.4",
    "@angular/router": "13.3.4",
    "@angular/service-worker": "13.3.4",
    "@angular/upgrade": "13.3.4",
    "@apollo/client": "3.5.6",
    "@ckeditor/ckeditor5-angular": "^2.0.2",
    "@ckeditor/ckeditor5-build-classic": "^31.1.0",
    "@fullcalendar/angular": "^5.10.1",
    "@fullcalendar/core": "^5.10.1",
    "@fullcalendar/daygrid": "^5.10.1",
    "@fullcalendar/interaction": "^5.10.1",
    "@fullcalendar/list": "^5.10.1",
    "@fullcalendar/timegrid": "^5.10.1",
    "@ismaestro/ngx-scroll-to-first-invalid": "3.0.0",
    "@ng-bootstrap/ng-bootstrap": "^12.0.2",
    "@ngx-loading-bar/core": "^5.1.2",
    "@ngx-loading-bar/router": "^5.1.2",
    "@ngx-meta/core": "9.0.0",
    "@ngx-translate/core": "^14.0.0",
    "@ngx-translate/http-loader": "^7.0.0",
    "@popperjs/core": "^2.10.2",
    "@sentry/browser": "6.16.0",
    "@swimlane/ngx-charts": "^19.2.0",
    "@swimlane/ngx-datatable": "^20.0.0",
    "@types/d3-shape": "^3.0.2",
    "@types/js-cookie": "3.0.1",
    "@types/lodash": "^4.14.182",
    "acorn": "^8.6.0",
    "angular-feather": "^6.1.0",
    "angular-gauge": "^4.0.0",
    "apexcharts": "^3.32.0",
    "apollo-angular": "2.6.0",
    "bootstrap": "^5.1.3",
    "browser-sync": "^2.27.7",
    "chart.js": "^2.9.4",
    "compass-mixins": "^0.12.11",
    "compression": "1.7.4",
    "cookie-parser": "1.4.6",
    "core-js": "3.19.3",
    "echarts": "^4.9.0",
    "express": "4.17.1",
    "graphql": "15.7.2",
    "grpc": "1.24.11",
    "helmet": "4.6.0",
    "js-cookie": "3.0.1",
    "jwt-decode": "3.1.2",
    "mat-table-exporter": "^10.2.4",
    "moment": "^2.29.3",
    "ng-animate": "1.0.0",
    "ng-apexcharts": "^1.6.0",
    "ng-click-outside": "^9.0.1",
    "ng-image-fullscreen-view": "^2.0.0",
    "ng-lazyload-image": "9.1.0",
    "ng-pick-datetime": "^7.0.0",
    "ng-sidebar": "^9.4.3",
    "ng2-charts": "^2.4.2",
    "ng2-dragula": "^2.1.1",
    "ngx-color-picker": "^11.0.0",
    "ngx-cookie": "5.0.2",
    "ngx-dropzone-wrapper": "^10.0.1",
    "ngx-echarts": "^8.0.1",
    "ngx-gauge": "^4.0.0",
    "ngx-logger": "5.0.4",
    "ngx-mask": "^13.0.1",
    "ngx-mat-select-search": "^4.1.2",
    "ngx-perfect-scrollbar": "^10.1.1",
    "ngx-spinner": "^11.0.1",
    "ngx-toastr": "^14.3.0",
    "rxjs": "7.4.0",
    "subsink": "^1.0.2",
    "sweetalert2": "^11.3.0",
    "tslib": "2.3.1",
    "uuid": "8.3.2",
    "zone.js": "0.11.4"
  },
  "devDependencies": {
    "@angular-builders/custom-webpack": "13.0.0",
    "@angular-devkit/build-angular": "~13.2.5",
    "@angular-eslint/builder": "^13.0.1",
    "@angular-eslint/eslint-plugin": "^13.0.1",
    "@angular-eslint/eslint-plugin-template": "^13.0.1",
    "@angular-eslint/schematics": "^13.0.1",
    "@angular-eslint/template-parser": "^13.0.1",
    "@angular/cli": "^13.1.2",
    "@angular/compiler-cli": "^13.1.1",
    "@angular/language-service": "^13.1.1",
    "@angular/material": "13.1.0",
    "@compodoc/compodoc": "^1.1.19",
    "@cypress/schematic": "1.6.0",
    "@ismaestro/ngx-example-library": "1.2.0",
    "@types/express": "4.17.13",
    "@types/html2canvas": "1.0.0",
    "@types/jasmine": "3.10.2",
    "@types/jasminewd2": "2.0.10",
    "@types/luxon": "2.0.7",
    "@types/masonry-layout": "4.2.4",
    "@types/node": "16.11.12",
    "@types/uuid": "8.3.3",
    "@typescript-eslint/eslint-plugin": "5.3.0",
    "@typescript-eslint/parser": "5.3.0",
    "bowser": "2.11.0",
    "cypress": "latest",
    "eslint": "^8.2.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsdoc": "^39.2.7",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "eslint-plugin-sonarjs": "^0.13.0",
    "express": "4.17.1",
    "fs": "0.0.1-security",
    "html2canvas": "1.3.3",
    "http-server": "14.0.0",
    "husky": "7.0.4",
    "jasmine-core": "3.10.1",
    "jasmine-spec-reporter": "7.0.0",
    "karma": "6.3.9",
    "karma-chrome-launcher": "3.1.0",
    "karma-cli": "2.0.0",
    "karma-coverage": "2.1.0",
    "karma-coverage-istanbul-reporter": "3.0.3",
    "karma-jasmine": "4.0.1",
    "karma-jasmine-html-reporter": "1.7.0",
    "karma-mocha-reporter": "2.2.5",
    "karma-remap-istanbul": "0.6.0",
    "lint-staged": "12.1.2",
    "ng-mocks": "13.0.4",
    "ng-packagr": "13.1.1",
    "path": "0.12.7",
    "prettier": "2.5.1",
    "pretty-quick": "3.1.3",
    "protractor": "7.0.0",
    "puppeteer": "12.0.1",
    "standard-version": "9.3.2",
    "sw-precache": "5.2.1",
    "ts-helpers": "1.1.2",
    "ts-loader": "9.2.6",
    "ts-node": "10.4.0",
    "typescript": "4.6.3",
    "webpack-bundle-analyzer": "4.5.0",
    "webpack-dev-server": "4.8.1"
  }
}
